Subject: [Idr] Damn, damn, damn! RE: [Technical Errata Reported] RFC4271 (5000)

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 20 Apr 2017 15:01:32 +0100

Sorry, replied on the wrong errata report which turns out that I agree with both
proposals.

eedjit :-(

Adrian

> -----Original Message-----
> From: Adrian Farrel [mailto:[email-masked]]
> Sent: 20 April 2017 15:00
> To: 'Nick Hilliard'; 'Alvaro Retana (aretana)'
> Cc: [email-masked]'
> Subject: RE: [Idr] [Technical Errata Reported] RFC4271 (5000)
> 
> Sorry, but no!
> 
> OLD
>    Others are discretionary and MAY
>    or MAY NOT be sent in a particular UPDATE message.
> NEW
>    Others are discretionary and MAY
>    be sent in a particular UPDATE message.
> END
> 
> The use of MAY implies the not case.
> 
> "MAY or MUST NOT" is entirely ambiguous since "MUST NOT" means
> never/forbidden/death-by-vampire so saying "or MUST NOT" is like saying "You
> must never, ever, eat lithium disulfide, except when you do."
> 
> Adrian
> 
> 
> > -----Original Message-----
> > From: Idr [mailto:[email-masked]] On Behalf Of Nick Hilliard
> > Sent: 20 April 2017 11:24
> > To: Alvaro Retana (aretana)
> > Cc: [email-masked]
> > Subject: Re: [Idr] [Technical Errata Reported] RFC4271 (5000)
> >
> > Alvaro Retana (aretana) wrote:
> > > I would like to get input from the WG as to the best way to handle this
report.
> I
> > would specially like to hear from implementers, but all input is welcome.
> > [...]
> > > b. s/MAY NOT/MUST NOT
> >
> > this.
> >
> > Nick
> >
> > _______________________________________________
> > Idr mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/idr